lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shawn Heisey <s...@elyograg.org>
Subject Re: MapReduceIndexerTool does not respect Lucene version in solrconfig Was: converting 4.7 index to 4.3.1
Date Fri, 11 Apr 2014 07:42:50 GMT
On 4/11/2014 12:42 AM, Dmitry Kan wrote:
> Thanks! So solr 4.7 does not seem to respect the luceneMatchVersion on the
> binary (index) level. Or perhaps, I misunderstand the meaning of the
> luceneMatchVersion.

luceneMatchVersion does not dictate the index format.  It is a way to
signal things like analysis components that they should emulate behavior
(sometimes buggy) found in an earlier version.  Not all analysis
components will operate differently when this config is used.  There is
probably not a central repository of how the version affects Solr/Lucene
behavior.

> I wonder whether there is any possibility of defining the version of the
> codec in solr config/schema.

I don't think Solr exposes any way to define an entire codec.  You can
change things individually, like the postings format and docValues
format on a field, but there's no way (that I know of) to define an
entire codec.  The overall index format is not something you can specify.

I think it could be possible to come up with some XML syntax for
describing a complete codec and then write code to parse it and build
the codec ... but because my understanding of how all the Lucene pieces
fit together is relatively low, there may be some really good reason
that Solr doesn't offer this functionality.

Thanks,
Shawn


Mime
View raw message